summaryrefslogtreecommitdiffstats
path: root/contrib/simple_deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/simple_deploy.sh')
-rw-r--r--contrib/simple_deploy.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/contrib/simple_deploy.sh b/contrib/simple_deploy.sh
new file mode 100644
index 00000000..6ad727d5
--- /dev/null
+++ b/contrib/simple_deploy.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+set -e
+apex_home=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )/../
+export CONFIG=$apex_home/build
+export LIB=$apex_home/lib
+export RESOURCES=$apex_home/.build/images/
+export PYTHONPATH=$PYTHONPATH:$apex_home/lib/python
+$apex_home/ci/dev_dep_check.sh || true
+$apex_home/ci/clean.sh
+pushd $apex_home/build
+make clean
+make undercloud
+make overcloud-opendaylight
+popd
+pushd $apex_home/ci
+echo "All further output will be piped to $PWD/nohup.out"
+(nohup ./deploy.sh -v -n $apex_home/config/network/network_settings.yaml -d $apex_home/config/deploy/os-odl_l3-nofeature-noha.yaml &)
+tail -f nohup.out
+popd